![alt tag](https://raw.githubusercontent.com/tripal/tripal/7.x-2.x/tripal_core/theme/images/tripal_logo.png)

Tripal
==========

Tripal is a toolkit for construction of online biological (genetics, genomics, breeding, etc), community database, and is a member of the GMOD family of tools. Tripal provides by default integration with the GMOD Chado database schema and Drupal, a popular Content Management Systems (CMS). Tripal is licensed under the GNU General Public License version 2.

Objectives
----------
* Provide a framework for those with genomic, genetic and breeding data for creation of an online site for display, search and visualization.
* To use community-derived standards and ontologies to facility continuity between sites which in turn fosters collaboration and sharing
* Provide an out-of-the-box setup for a genomics site for those who simply want to put new genome assemblies and annotations online.
* Provide Application Programming Interfaces (APIs) for complete customization such that more advanced displays, look-and-feel, and new functionality can be supported.


Major Features
----------
* Incorporates the GMOD Chado database schema which serves as the data warehouse.
* Integrates with Drupal for user management, and non-biological content.
* Data loaders for commonly used file formats (FASTA, GFF3, GAF, OBO, NCBI Taxonomy, PubMed, newick, tab-delimited, etc.).
* Sites can be customized as desired.
* Site developers can create new extension modules to share with other Tripal sites.


Installation
--------------
Please follow the instructions in the online Tripal User's Guide:
http://tripal.info/tutorials/v2.x/installation


More Information
--------------
Visit the http://tripal.info site for support documentation, access to mailing lists, monthly Tripal User's meeting notes, and more!
